ARK(1)

NOME
ark - Strumento di archiviazione di KDE

SINOSSI

ark [-b] [-a] [-e] [-O] [-c] [-f suffisso] [-p] [-t file] [-d] [-m] [-o cartella] [Opzioni generiche di KF5] [Opzioni generiche di Qt(TM)]

DESCRIZIONE

Ark è un programma per gestire vari formati di file compressi in KDE; con Ark gli archivi possono essere visualizzati, estratti, creati e modificati. Il programma può gestire diversi formati, tra cui tar, gzip, bzip2, zip, rar (se le librerie appropriate o programmi da riga di comando sono installati).

MODALITà OPERATIVE

Ark può essere usato sia come programma grafico a sé stante, sia come programma da riga di comando per effettuare alcuni compiti particolari.

Se richiamato senza le opzioni -b (--batch) or -c (--add), Ark viene avviato come un normale programma GUI.

Quando si usa l'opzione -b (--batch), Ark si può usare per estrarre i contenuti di uno o più file direttamente dalla riga di comando, senza avviarne l'interfaccia grafica.

Quando si usa l'opzione -c (--add), Ark chiede quali file dovrebbero essere aggiunti ad un nuovo archivio o ad uno esistente.

OPZIONI

-d, --dialog
    Mostra una finestra per specificare le opzioni di un'operazione di estrazione o di aggiunta.

-m, --mimetypes
    Elenca i tipi MIME supportati.

-o, --destination cartella
    Cambia la cartella di destinazione a cartella. Se non viene fornita, si usa il percorso attuale.

  Opzioni per aggiungere file

-c, --add
    Chiede all'utente il nome di un archivio, e vi aggiunge i file specificati.Esce non appena terminato.

-t, --add-to nome_file
    Aggiunge i file specificati a nome_file. Crea l'archivio se non esiste, ed esce non appena terminato.

-p, --changetofirstpath
    Cambia la cartella attuale alla prima voce, ed aggiunge tutte le altre voci relativamente ad essa.

-f, --autofilename suffisso
    Scegli automaticamente un nome di file con il suffisso selezionato (per esempio rar, tar.gz, zip, o qualsiasi altro tipo supportato).

  Opzioni per l'estrazione non interattiva

-b, --batch
    Usa l'interfaccia non interattiva invece delle normali finestre. Questa opzione è sottintesa se si specifica più di un URL.

-e, --autodestination
    L'argomento di destinazione verrà impostato al percorso del primo file dato.

-a, --autosubfolder
    I contenuti dell'archivio saranno letti, e, se viene rilevato che non si tratta di un archivio con una sola cartella, ne verrà creata una col nome dell'archivio.

-O, --opendestination
    Apre la cartella di destinazione quando l'estrazione è completa.

VEDI ANCHE
    Ulteriore documentazione utente è disponibile presso help:/ark (puoi inserirlo come URL in Konqueror, oppure eseguire khelpcenter help:/ark).
    kf5options(7)
    qt5options(7)

ESEMPI

ark --batch archivio.tar.bz2
    Estrarrà archivio.tar.bz2 nella cartella attuale senza visualizzare un'interfaccia.

ark -b -d archivio.tar.bz2 archivio2.zip
    Mostrerà inizialmente una finestra delle opzioni di estrazione, e quindi estrarrà sia archivio.tar.bz2 che archivio2.zip nella cartella lì scelta.

ark --add-to mio-archivio.zip foto1.jpg testo.txt
    Creerà mio-archivio.zip se non esiste, e quindi vi aggiungerà foto1.jpg e testo.txt.

GESTIONE

Ark è attualmente mantenuto da Elvis Angelaccio e Ragnar Thomsen.

AUTORI

Lauri Watts <lauri@kde.org>
    Versione iniziale della pagina man di Ark nel 2005.

Raphael Kubo da Costa <rakuco@FreeBSD.org>
    Aggiornamento della pagina man di Ark nel 2009.

Ragnar Thomsen <rthomsen6@gmail.com>
    Aggiornamento del manuale di Ark del 2015 e del 2016.